### Name: clt.ani
### Title: Demonstration of the Central Limit Theorem
### Aliases: clt.ani
### Keywords: dynamic distribution dplot

### ** Examples


oopt = ani.options(interval = 0.1, nmax = 150)
op = par(mar = c(3, 3, 1, 0.5), mgp = c(1.5, 0.5, 0), tcl = -0.3)
clt.ani(type = "s")
par(op)

## Not run: 
##D  
##D # HTML animation page
##D ani.options(ani.height = 500, ani.width = 600, outdir = getwd(), nmax = 100,
##D     interval = 0.1, title = "Demonstration of the Central Limit Theorem",
##D     description = "This animation shows the distribution of the sample
##D     mean as the sample size grows.")
##D ani.start()
##D par(mar = c(3, 3, 1, 0.5), mgp = c(1.5, 0.5, 0), tcl = -0.3)
##D clt.ani(type = "h")
##D ani.stop()
## End(Not run)
ani.options(oopt)

# other distributions: Chi-square with df = 5 
f = function(n) rchisq(n, 5) 
clt.ani(FUN = f) 



