### Name: kmeans.ani
### Title: Demonstration of K-Means Cluster Algorithm
### Aliases: kmeans.ani
### Keywords: hplot dynamic multivariate cluster

### ** Examples

#set larger 'interval' if the speed is too fast
oopt = ani.options(interval = 2, nmax = 50)
op = par(mar = c(3, 3, 1, 1.5), mgp = c(1.5, 0.5, 0))
kmeans.ani()

ani.options(nmax = 50)
# the kmeans() example; very fast to converge!
x = rbind(matrix(rnorm(100, sd = 0.3), ncol = 2),
          matrix(rnorm(100, mean = 1, sd = 0.3), ncol = 2))
colnames(x) = c("x", "y")
kmeans.ani(x, centers = 2)

# what if we cluster them into 3 groups?
ani.options(nmax = 50)
kmeans.ani(x, centers = 3)

par(op)
## Not run: 
##D 
##D # create HTML animation page 
##D ani.options(ani.height = 480, ani.width = 480, outdir = getwd(), interval = 2,
##D     nmax = 50, title = "Demonstration of the K-means Cluster Algorithm",
##D     description = "Move! Average! Cluster! Move! Average! Cluster! ...")
##D ani.start()
##D par(mar = c(3, 3, 1, 1.5), mgp = c(1.5, 0.5, 0))
##D cent = 1.5 * c(1, 1, -1, -1, 1, -1, 1, -1); x = NULL
##D for (i in 1:8) x = c(x, rnorm(25, mean = cent[i]))
##D x = matrix(x, ncol = 2)
##D colnames(x) = c("X1", "X2")
##D kmeans.ani(x, centers = 4, pch = 1:4, col = 1:4)
##D ani.stop()
##D 
## End(Not run)
ani.options(oopt)



