### Name: lln.ani
### Title: Demonstration of Law of Large Numbers
### Aliases: lln.ani
### Keywords: dynamic dplot distribution

### ** Examples

oopt = ani.options(interval = 0.01, nmax = 150)
lln.ani(pch = ".")

# chi-square distribution; population mean = df
lln.ani(function(n, mu) rchisq(n, df = mu), mu = 5, cex = 0.6)

## Not run: 
##D  
##D # save the animation in HTML pages
##D ani.options(ani.height = 480, ani.width = 600, outdir = getwd(), nmax = 100,
##D     interval = 0.1, title = "Demonstration of the Law of Large Numbers",
##D     description = "The sample mean approaches to the population mean as
##D     the sample size n grows.")
##D ani.start()
##D par(mar = c(3, 3, 1, 0.5), mgp = c(1.5, 0.5, 0))
##D lln.ani(cex = 0.6)
##D ani.stop()
##D 
## End(Not run)
ani.options(oopt)



